<template>
    <div id="genres">
        <h5> Mes Livres</h5>
        <div class="card mt-4" v-for="book in allBooks" :key="book.id">
            {{book.title}}
                <br>
            {{book.author}}
                <br>
            {{book.year}}
                <br>
            <button @click="goToBookDetails(book.id)">Details</button>
        </div>
    </div>
</template>

<script>
import axios from 'axios'
const BOOKS_API_ENDPOINT = "http://localhost:3000/books"

export default {
  name: 'bookComponents',
  data:()=>({
    allBooks:[]
  }),
  methods:{
    async fetchAllBooks(){
        let allBooks = await axios.get(BOOKS_API_ENDPOINT)
        let {data} = allBooks
        this.allBooks = data
    },
    goToBookDetails(bookId){
        this.$router.push({name:'bookDetails',params:{bookId}})
    }
  },
  async created(){
    await this.fetchAllBooks()
  },
 
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
